package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

public class MacMarketNotWriteOffDTO extends MacBaseParamDTO {
   @ApiModelProperty("每页显示条数")
   private Long size = 10L;
   @ApiModelProperty("当前页")
   private Long current = 1L;
   @ApiModelProperty("超市id")
   private Long canteenId;
   @ApiModelProperty("查询日期")
   private LocalDate localdate;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("卡序列号（物理卡号）")
   private String serialNum;
   @ApiModelProperty("订单二维码信息")
   private String authCode;
   @ApiModelProperty("商家订单号")
   private Long ordId;
   @ApiModelProperty("核身方式")
   private @NotNull(
   message = "核身方式不能为空"
) Integer nuClearMode;

   public Long getSize() {
      return this.size;
   }

   public Long getCurrent() {
      return this.current;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public LocalDate getLocaldate() {
      return this.localdate;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public void setSize(final Long size) {
      this.size = size;
   }

   public void setCurrent(final Long current) {
      this.current = current;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setLocaldate(final LocalDate localdate) {
      this.localdate = localdate;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

}
